<?php
/**
 * @version     1.0.0
 * @package     com_testimonial_pro
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Infyways Solutions <info@infyways.com> - http://www.infyways.com
 */

defined('_JEXEC') or die;

// Include dependancy of the main controllerform class
jimport('joomla.application.component.controllerform');

 
class Testimonial_proControllertestimonialform extends JControllerForm
{
 
        public function getModel($name = '', $prefix = '', $config = array('ignore_request' => true))
        {
                return parent::getModel($name, $prefix, array('ignore_request' => false));
        }
 
        public function submit()
        {
                // Check for request forgeries.
                JRequest::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
 
                // Initialise variables.
                $app    = JFactory::getApplication();
                $model  = $this->getModel('testimonialform');
 
                // Get the data from the form POST
                $data = JRequest::getVar('jform', array(), 'post', 'array');
						print_r( $data);		
				if(md5($data['verify'])==$data['hvalue']){
					jimport('joomla.filesystem.file');
						$jFileInput = new JInput($_FILES);
						$theFile = $jFileInput->get('jform',array(),'array');
						$theFileName = JFile::makeSafe($theFile['name'] ['author_image']);
	
						if ($theFileName!=""){
						//Uploading the image file
							if ( strtolower(JFile::getExt($theFileName) ) == 'jpg'||'png') {
							// Build the paths for our file to move to the components 'upload' directory
							$theFileName = JFile::makeSafe($theFile['name'] ['author_image']);
							$newfilename=(rand(1,1000000))."_".$theFileName;
							$tmp_src    = $theFile['tmp_name']['author_image'];
							$tmp_dest   = "images/com_testimonial_pro/uploads/". $newfilename;
							$this->dataFile = $newfilename;

							// Move uploaded file
							$uploaded = JFile::upload($tmp_src, $tmp_dest);
							$data['author_image']=$tmp_dest;
							
								$body= $this->createEmailBody($data);
								$this->sendEmail($body);
								$upditem  = $model->save($data);
							   	$this->setRedirect($data['goback']."?&sm=".JText::_('COM_TESTIMONIAL_PRO_THANK_YOU_MESSAGE'));
							}
							else{	
								$this->setRedirect($data['goback']."?&fm=".JText::_('COM_TESTIMONIAL_PRO_WRONG_IMAGE_MESSAGE'));
							}
						}
						else 
						{
						$data['author_image']="components/com_testimonial_pro/assets/no-image.png";
								
								$body= $this->createEmailBody($data);
								$this->sendEmail($body);
								$upditem  = $model->save($data);
							$this->setRedirect($data['goback']."?&sm=".JText::_('COM_TESTIMONIAL_PRO_THANK_YOU_MESSAGE'));
						}
						
			}
			else{
			$this->setRedirect($data['goback']."?&fm=".JText::_('COM_TESTIMONIAL_PRO_INCORRECT_CAPTCHA'));

			}
	
                return true;
        }
		public function createEmailBody($data){
		$baseUrl=JURI::root();
		$table="<table>
			<tr><td>".JText::_('COM_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_NAME') .":</td>	<td>$data[name]	</td></tr>
			<tr><td>".JText::_('COM_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_EMAIL') ." :</td><td>$data[email]	</td></tr>
			";
			if($data['company']):
			$table.="<tr><td>".JText::_('COM_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_COMPANY') .":</td><td>$data[company]	</td></tr>";
			endif;
			if($data['position']):
			$table.="<tr><td>".JText::_('COM_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_POSITION') ." :</td>	<td>$data[position]	</td></tr>";
				endif;
			if($data['website']):
			$table.="<tr><td>".JText::_('COM_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_WEBSITE') ." :</td><td>$data[website]	</td></tr>";
				endif;
			if($data['rating']):
			$table.="<tr><td>".JText::_('COM_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_RATING') ." :</td>	<td>$data[rating]	</td></tr>";
				endif;
		$table.="	<tr><td>".JText::_('COM_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_TESTIMONIAL') ." :</td>	<td>$data[testimonial]</td></tr>
			<tr><td>".JText::_('COM_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_AUTHOR_IMAGE') ." :</td>	<td><img style='width:200px' src='$baseUrl$data[author_image]'/></td></tr></table>";
		return $table;
		
		}
		 public function sendEmail($body)
		 {
			$config = JFactory::getConfig();
			$mailer = JFactory::getMailer();
			$sender = array( 
    		$config->get( 'mailfrom' ),
    		$config->get( 'fromname' ));
			$mailer->setSender($sender);
			$params = JComponentHelper::getParams('com_testimonial_pro');
			$rec_email=$params->get('rec_email','test@test.com');
			$subject=$params->get('subject');
			$rec_email = explode(",", $rec_email);
			$mailer->addRecipient($rec_email );
			$mailer->setSubject($subject);
			$mailer->isHTML(true);
			$mailer->Encoding = 'base64';
			$mailer->setBody($body);
			
			$send = $mailer->Send();
			if ( $send !== true ) {
			echo 'Error sending email: ' . $send->__toString();
			} else {
			//echo 'Mail sent';
			}

		 }
		
 
}