<?php
/**
 * @version     1.0.0
 * @package     com_testimonial_pro
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Infyways Solutions <info@infyways.com> - http://www.infyways.com
 */
// no direct access
defined('_JEXEC') or die;
JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidation');
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root().'components/com_testimonial_pro/css/style.css');
$company_show=$this->params->get('company_show');
$position_show=$this->params->get('position_show');
$website_show=$this->params->get('website_show');
$rating_show=$this->params->get('rating_show');
$author_image_show=$this->params->get('author_image_show');
$cat_id=$this->params->get('cat_id');
$x = rand(1,100);
$y = rand(1,9);
$hval= $x+$y;
$_SERVER['HTTPS']="";
function getCompAddress() {
    $protocol = $_SERVER['HTTPS'] == 'on' ? 'https' : 'http';
    return $protocol.'://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
}

$goback[0]= getCompAddress();

?>

<div class="testimonial-form">
<div class="items<?php echo $this->pageclass_sfx?>">
<?php if ($this->params->get('show_page_heading')) : ?>
	<h1>
	<?php echo $this->escape($this->params->get('page_heading')); ?>
	</h1>
<?php endif; ?>

	<?php if(isset($_GET['sm'])):?>
	<div class="sm"><i class="fa fa-check-circle-o"></i> <?php echo $_GET['sm'];?> </div>
	<?php
	$goback=explode("?&sm=",getCompAddress());
	 endif;?>
	<?php if(isset($_GET['fm'])):?>
	<div class="fm"> <i class="fa fa-times-circle"></i> <?php echo $_GET['fm'];?> </div>
	<?php 
	$goback=explode("?&fm=",getCompAddress());
	endif;?>

     <form class="form-validate"  method="post" id="testimonailform"  name="testimonailform" enctype="multipart/form-data">
             <div class="tp-form">
                <dl>
				
				     <dt><?php echo $this->form->getLabel('name'); ?></dt>
                    <dd><?php echo $this->form->getInput('name'); ?></dd>
                <dt></dt><dd></dd>
				    <dt><?php echo $this->form->getLabel('email'); ?></dt>
                    <dd><?php echo $this->form->getInput('email'); ?></dd>
                <dt></dt><dd></dd>
				
				<?php if($company_show):?>
				 <dt><?php echo $this->form->getLabel('company'); ?></dt>
                    <dd><?php echo $this->form->getInput('company'); ?></dd>
                <dt></dt><dd></dd>
				<?php endif;?>
				
				<?php if($position_show):?>
				<dt><?php echo $this->form->getLabel('position'); ?></dt>
                    <dd><?php echo $this->form->getInput('position'); ?></dd>
                <dt></dt><dd></dd>
				
					<?php endif;?>
				
				<?php if($website_show):?>
				<dt><?php echo $this->form->getLabel('website'); ?></dt>
                    <dd><?php echo $this->form->getInput('website'); ?></dd>
                <dt></dt><dd></dd>
				
					<?php endif;?>
					
				<?php if($rating_show):?>
				<dt><?php echo $this->form->getLabel('rating'); ?></dt>
                    <dd><?php echo $this->form->getInput('rating'); ?></dd>
                <dt></dt><dd></dd>
				
					<?php endif;?>
				<?php if($author_image_show):?>
				 <dt><?php echo $this->form->getLabel('author_image'); ?></dt>
                    <dd><?php echo $this->form->getInput('author_image'); ?></dd>
                <dt></dt><dd></dd>

				<?php endif;?>
				
					 <dt><?php echo $this->form->getLabel('testimonial'); ?></dt>
                    <dd><?php echo $this->form->getInput('testimonial'); ?></dd>
                <dt></dt><dd></dd>
				
				
					<dt><?php echo $this->form->getLabel('verify'); ?></dt>
					<dd><?php echo $x." + ".$y." ".$this->form->getInput('verify'); ?></dd>
					<dt></dt><dd></dd>
				
				<?php echo $this->form->getInput('created'); ?>
				
				
				
                <dt></dt>
                <dd>
				
					<input type="hidden" name="jform[category]" value="<?php echo $cat_id;?>" />
					<input type="hidden" name="jform[hvalue]" value="<?php echo md5($hval);?>" />
					<input type="hidden" value="<?php echo $goback[0];?>" name="jform[goback]">
					<input type="hidden" name="option" value="com_testimonial_pro" />
                    <input type="hidden" name="task" value="testimonialform.submit" />
                </dd>
                <dt></dt>
                <dd>
				
				<button type="submit" class="tp-button btn"><?php echo JText::_('COM_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_SUBMIT');?></button>
                                        <?php echo JHtml::_('form.token'); ?>
                </dd>
                </dl>
      </div>
    </form>
	</div>
    <div class="clr"></div>
	</div>