<?php
/*------------------------------------------------------------------------
# mod_testimonial_form - Responsive Testimonials Pro Form
# ------------------------------------------------------------------------
# author    Infyways Solutions
# copyright Copyright (C) 2012 Infyways Solutions. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.infyways.com
# Technical Support:  Forum - http://support.infyways/com
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
JHtml::_('behavior.keepalive');
$document = JFactory::getDocument();
$base_url=JURI::root();
JHTML::_('behavior.formvalidation');
$document->addStyleSheet(JURI::root().'components/com_testimonial_pro/css/style.css');
$document->addStyleSheet(JURI::root().'components/com_testimonial_pro/css/font-awesome.min.css');
$company_show=$params->get('company_show');
$position_show=$params->get('position_show');
$website_show=$params->get('website_show');
$rating_show=$params->get('rating_show');
$author_image_show=$params->get('author_image_show');
$category_show=$params->get('category_show');
$cat=$params->get('cat_id');
$x = rand(1,100);
$y = rand(1,9);
$hval= $x+$y;
$_SERVER['HTTPS']="";
function getAddress() {
    $protocol = $_SERVER['HTTPS'] == 'on' ? 'https' : 'http';
    return $protocol.'://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
}

$goback[0]= getAddress();

?>
<div class="testimonial-form" id="testimonail-form<?php echo $module->id;?>">

<?php if(isset($_GET['sm'])):?>
<div class="sm"><i class="fa fa-check-circle-o"></i> <?php echo $_GET['sm'];?> </div>
<?php
$goback=explode("?&sm=",getAddress());
 endif;?>
<?php if(isset($_GET['fm'])):?>
<div class="fm"> <i class="fa fa-times-circle"></i> <?php echo $_GET['fm'];?> </div>
<?php 
$goback=explode("?&fm=",getAddress());
endif;?>

<div class="items">
     <form enctype="multipart/form-data" name="testimonailform<?php echo $module->id;?>" id="testimonailform<?php echo $module->id;?>" method="post" class="form-validate">
             <div class="tp-form">
                <dl>
				<?php if($category_show):?>
				 <dt><label id="jform_category-lbl" for="jform_category" class="hasTip required" ><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_CATEGORY');?><span class="star">&#160;*</span></label></dt>
					<dd><select id="jform_category" name="jform[category]" class="required">
					<?php foreach($cat as $val):?>
					<option value="<?php echo $val;?>"><?php echo modTestiproformHelper::getCatname($val);?></option>
					<?php endforeach;?>
					</select>
					</dd>
                <dt></dt><dd></dd>
					<?php endif;?>
				     <dt><label  class="hasTip required" for="jform_name" id="jform_name-lbl"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_NAME');?><span class="star">&nbsp;*</span></label></dt>
                    <dd><input type="text" class="required" value="" id="jform_name" name="jform[name]" aria-required="true" required="required"></dd>
                <dt></dt><dd></dd>
				    <dt><label class=" required" for="jform_email" id="jform_email-lbl"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_EMAIL');?><span class="star">&nbsp;*</span></label></dt>
                    <dd><input type="email" value="" id="jform_email" class="validate-email required" name="jform[email]" aria-required="true" required="required"></dd>
                <dt></dt><dd></dd>
					
					<?php if($company_show):?>
								 <dt><label  for="jform_company" id="jform_company-lbl"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_COMPANY');?></label></dt>
                    <dd><input type="text" value="" id="jform_company" name="jform[company]"></dd>
                <dt></dt><dd></dd>
					<?php endif;?>
							<?php if($position_show):?>		
								<dt><label  for="jform_position" id="jform_position-lbl"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_POSITION');?></label></dt>
                    <dd><input type="text" value="" id="jform_position" name="jform[position]"></dd>
                <dt></dt><dd></dd>
					<?php endif;?>
							<?php if($website_show):?>			
								<dt><label  for="jform_website" id="jform_website-lbl"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_WEBSITE');?></label></dt>
                    <dd><input type="text" value="" id="jform_website" name="jform[website]"></dd>
                <dt></dt><dd></dd>
					<?php endif;?>
									<?php if($rating_show):?>		
								<dt><label  for="jform_rating" id="jform_rating-lbl"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_RATING');?></label></dt>
                    <dd><select name="jform[rating]" id="jform_rating">
				<option value="5"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_RATING_EXCELLENT');?></option>
                <option value="4"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_RATING_VERY_GOOD');?></option>
                <option value="3"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_RATING_GOOD');?></option>
                <option value="2"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_RATING_AVERAGE');?></option>
                <option value="1"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_RATING_POOR');?></option>
						</select>
				</dd>
                <dt></dt><dd></dd>
					<?php endif;?>
					<?php if($author_image_show):?>
													 <dt><label  for="jform_author_image" id="jform_author_image-lbl"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_AUTHOR_IMAGE');?></label></dt>
                    <dd><input type="file" accept="image/*" value="" id="jform_author_image" name="jform[author_image]"></dd>
                <dt></dt><dd></dd>
	<?php endif;?>
								
					 <dt><label  class="required" for="jform_testimonial" id="jform_testimonial-lbl"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_TESTIMONIAL');?><span class="star">&nbsp;*</span></label></dt>
                    <dd><textarea class="required" rows="8" cols="100" id="jform_testimonial" name="jform[testimonial]" aria-required="true" required="required"></textarea></dd>
                <dt></dt><dd></dd>
				
				
					<dt><label class="required" for="jform_verify" id="jform_verify-lbl"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_CAPTCHA');?><span class="star">&nbsp;*</span></label></dt>
					<dd><?php echo $x." + ".$y;?> <input type="text" autocomplete="off" class="required" value="" id="jform_verify" name="jform[verify]" aria-required="true" required="required"></dd>
					<dt></dt><dd></dd>
				
				<input type="hidden" value="<?php echo date("Y-m-d H:i:s"); ?>" name="jform[created]">				
				
				
                <dt></dt>
                <dd>
				
					<?php if(!($category_show)):?><input type="hidden" value="<?php echo $cat[0];?>" name="jform[category]">	<?php endif;?>
					<input type="hidden" value="<?php echo md5($hval);?>" name="jform[hvalue]">
					<input type="hidden" value="<?php echo $goback[0];?>" name="jform[goback]">
					<input type="hidden" value="com_testimonial_pro" name="option">
                    <input type="hidden" value="testimonialform.submit" name="task">
                </dd>
                <dt></dt>
                <dd>
				
				<button class="tpm-button btn" type="submit"><?php echo JText::_('MOD_TESTIMONIAL_PRO_FORM_LBL_TESTIMONIAL_SUBMIT');?></button>
                                         <?php echo JHtml::_('form.token'); ?>             </dd>
                </dl>
      </div>
    </form>

    <div class="clr"></div>
	</div>

 </div>