<?php
/**
 * @version     1.0.0
 * @package     com_testimonial_pro
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Infyways Solutions <info@infyways.com> - http://www.infyways.com
 */

defined('_JEXEC') or die;
// Include dependancy of the main model form
jimport('joomla.application.component.modelform');
// import Joomla modelitem library
jimport('joomla.application.component.modelitem');
// Include dependancy of the dispatcher
jimport('joomla.event.dispatcher');
/**
 * UpdHelloWorld Model
 */
class Testimonial_proModeltestimonialsingleform extends JModelForm
{
        /**
         * @var object item
         */
        protected $item;
 
        /**
         * Get the data for a new qualification
         */
        public function getForm($data = array(), $loadData = true)
        {
 
        $app = JFactory::getApplication('site');
 
        // Get the form.
                $form = $this->loadForm('com_testimonial_pro.testimonialform', 'testimonialform', array('control' => 'jform', 'load_data' => true));
                if (empty($form)) {
                        return false;
                }
                return $form;
 
        }
 
        /**
         * Get the message
         * @return object The message to be displayed to the user
         */
 
 
        public function save($data)
        {
		$default=" ";
        // set the variables from the passed data
        $name = $data['name'];
        $category = $data['category'];
        $email = $data['email'];
        $created = $data['created'];
        $author_image = $data['author_image'];
        $company = isset($data['company'])?$data['company']:$default;
        $position =isset($data['position'])?$data['position']:$default;
        $website = isset($data['website'])?$data['website']:$default;
        $rating = isset($data['rating'])?$data['rating']:$default;
		
        $testimonial = $data['testimonial'];
 
        // set the data into a query to update the record
                $db             = $this->getDbo();
                $query  = $db->getQuery(true);
				$db->setQuery('SELECT MAX(ordering) FROM #__testimonial_pro');
				$max = $db->loadResult();
				$order=$max +1;
				$columns = array('category', 'author_image', 'name', 'email','testimonial','state','ordering','company','position','website','rating','created');
				$values = array($db->Quote($category), $db->Quote($author_image), $db->Quote($name), $db->Quote($email),$db->Quote($testimonial),0,$db->Quote($order),$db->Quote($company),$db->Quote($position),$db->Quote($website),$db->Quote($rating),$db->Quote($created));
				$query->clear();
                $query->insert(' #__testimonial_pro ')
                 ->columns($db->quoteName($columns))
				->values(implode(',', $values));
              
 
                $db->setQuery((string)$query);
 
        if (!$db->query()) {
            JError::raiseError(500, $db->getErrorMsg());
                return false;
        } else {
                return true;
                }
        }


	/**
	 * Prepare and sanitise the table prior to saving.
	 *
	 * @since	1.6
	 */
	protected function prepareTable(&$table)
	{
		jimport('joomla.filter.output');

		if (empty($table->id)) {

			// Set ordering to the last item if not set
			if (@$table->ordering === '') {
				$db = JFactory::getDbo();
				$db->setQuery('SELECT MAX(ordering) FROM #__testimonial_pro');
				$max = $db->loadResult();
				$table->ordering = $max+1;
			}

		}
	}


}