<?php
/*------------------------------------------------------------------------
# mod_testimonial_pro - Responsive Testimonials Pro
# ------------------------------------------------------------------------
# author    Infyways Solutions
# copyright Copyright (C) 2012 Infyways Solutions. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.infyways.com
# Technical Support:  Forum - http://support.infyways/com
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
$document = JFactory::getDocument();
JHtml::_('jquery.framework');
$base_url=JURI::root();
$document->addStyleSheet(JURI::root().'modules/mod_testimonial_pro/tmpl/css/jquery.rbxslider.css');
$document->addStyleSheet(JURI::root().'modules/mod_testimonial_pro/tmpl/css/style.css');
$document->addStyleSheet(JURI::root().'components/com_testimonial_pro/css/font-awesome.min.css');
$document->addStyleSheet(JURI::root().'modules/mod_testimonial_pro/tmpl/css/jquery.fancybox.css');
$document->addScript(JURI::root().'modules/mod_testimonial_pro/tmpl/js/jquery.fancybox.js' );


$slides=$max_slide;


//Controls 
$scontrols = "false";
$sautocontrols = "false";
$spager = "false";
	if($controls=='controls') {
	$scontrols = "true";
	}
	if($controls=='pager') {
	$spager = "true";
	}
	if($controls=='autocontrols') {
	$sautocontrols = "true";
	}
	
//Autoplay
	if($start_auto==1){
	$start_auto = "true";
	$sautostop = "false";
	}
	else{
	$start_auto  = "false";
	$sautostop = "true";
	}
if($tt_font!=""){
$document->addStyleSheet("http://fonts.googleapis.com/css?family=$tt_font");
$document->addStyleDeclaration("
#testimonial-slide$module->id  .tpm-showcase p,.rtp-Content{
font-family:$tt_font,sans-serif;
font-style: $font_style;
font-size:$font_size;
}
");
}
else{
$document->addStyleDeclaration("
#testimonial-slide$module->id  .tpm-showcase p,.rtp-Content{
font-family:$tt_font,sans-serif;
font-style: $font_style;
font-size:$font_size;
}
");
}
if(($bubble_align=="right")||($bubble_align=="left"))
	{
	$bordercolor =  " border-color: transparent $bg_color";
	}
else
	{
	$bordercolor =  "border-color: $bg_color transparent";
	}

if($author_align=="center")
	{
	$auth_align="tpm-info-center";
	$tpm_center="tpm-pointer-center";
	}
else
	{
	$auth_align="";
	$tpm_center="";
	}
//Loading the CSS
if($quotes){
$document->addStyleDeclaration("
.quotes{
    font-size: 20px;
    margin-right: 10px;
}
");
}
$document->addStyleDeclaration("
#testimonial-slide$module->id .tpm-showcase-bubble-$bubble_align{ background:$bg_color; color:$testimonial_color; }
#testimonial-slide$module->id .tpm-showcase-$bubble_align{ background:$tpbg_color; }
#testimonial-slide$module->id .tpm-showcase-bubble-$bubble_align:after{ $bordercolor; }
.tpm-image-align{min-width:$minwidth;}
$extraCSS
");

//Read More jQuery
$readmore ="
jQuery(document).ready(function() {
						jQuery('.rtPopup').rpfancybox({
						maxWidth:$popupHeight,
						maxHeight:$popupWidth,
						fitToView: true
						});
					});
jQuery(window).load(function() {
  jQuery(\".show-testimonials\").css({opacity: 0, visibility: \"visible\"}).animate({opacity: 1}, 200);	

});
";

$document->addScriptDeclaration($readmore);

//Loading the Slider JS
if($mode_transition!="none"){
$js="
	jQuery.noConflict();
	jQuery(document).ready(function(){
	var slider = jQuery('#testimonial-slide$module->id .testimonial-wrapper').rbxSlider({
		mode: '$mode_transition',
		pause : $pause_time,
		controls: $scontrols,
		pager: $spager,
		auto: $start_auto,
		stopAuto:$sautostop,
		pagerType: 'full',
		autoHover: true,
		adaptiveHeight: true,
		nextText:'<i class=\"fa fa-caret-right fa-2x\" ><\/i>',
		prevText:'<i class=\"fa fa-caret-left fa-2x\" ><\/i>',
		responsive: true

	}
	);
});


";

if($jsfiles==1){
	$document->addScript(JURI::root().'modules/mod_testimonial_pro/tmpl/js/jquery.rbxslider.js' );
	$document->addScriptDeclaration($js);
	}
	else
	{
		echo "\n".'<script src="'.JURI::root().'modules/mod_testimonial_pro/tmpl/js/jquery.rbxslider.js" type="text/javascript"></script>'."\n";

		echo '<script type="text/javascript">'.$js.'</script>';
	}
}

?>
	<?php if ($cat){?>
	<div class="show-testimonials">
		<div id="testimonial-slide<?php echo $module->id;?>" <?php if($snippetStatus){ echo 'itemscope itemtype="http://schema.org/Product"';}?>>
			
<?php if($snippetStatus){ echo '<meta itemprop="name" content="product-reviews"/>';} ?>

      <div class="testimonial-wrapper">
				 <?php 
          $aggregateRating =0;
				 $count= 1;
				 foreach ($list as $item) :  $show = true; 
				 if ($count%$slides == 1)	{ echo "<div class=\"tpm-wrapper\">";}
				 ?>
					<div class="tpm-showcase <?php echo "rtp-".$slides;?>"  <?php if($snippetStatus){ echo 'itemprop="review" itemscope itemtype="http://schema.org/Review"';}?> >
							<?php if(($bubble_align=="top")||($bubble_align=="left")):?>
							<div class="tpm-showcase-bubble-<?php echo $bubble_align;?> <?php echo $bubble_layout;?>" >
							<div class="rtp-testimonial tpm-showcase-testimonial-<?php echo $bubble_align;?>">
							<p><?php if($quotes):?><i class="fa fa-quote-left quotes"></i> <?php endif; echo nl2br(modTestiproHelper::JShortenText($item->testimonial,$nchar,$readmoreText,$count));if($quotes):?> <i class="fa fa-quote-right quotes"></i><?php endif;  ?></p>
							
							<?php if(strlen($item->testimonial)>$nchar){?>
							<div class="rtp-Content" style="display:none;" id="inline<?php echo $count;?>" <?php if($snippetStatus){ echo 'itemprop="reviewBody"';}?>  ><?php if($quotes):?><i class="fa fa-quote-left quotes"></i> <?php endif; echo $item->testimonial;if($quotes):?> <i class="fa fa-quote-right quotes"></i><?php endif;  ?></div>
							<?php }?>
							</div>
							</div>
							<?php endif;?>
								
							<div class="tpm-showcase-<?php echo $bubble_align;?>">
					
								<?php 
								if($author_image_show){
								if($item->author_image){
								echo "<div class=\"tpm-image-align\"><img alt=\"".$item->name."\" class=\"".$image_layout."\" src=\"".JURI::base()."components/com_testimonial_pro/assets/timthumb.php?src=".JURI::base( true )."/".$item->author_image."&h=".$imgHeight."&w=".$imgWidth."&z=1&q=100\"/></div>";
								}
								else{
								if($blank_image){
								echo "<div class=\"tpm-image-align\"><img alt=\"".$item->name."\" class=\"".$image_layout."\" src=\"".JURI::base()."components/com_testimonial_pro/assets/timthumb.php?src=".JURI::base( true )."/components/com_testimonial_pro/assets/no-image.png&h=".$imgHeight."&w=".$imgWidth."&z=1&q=100\"/></div>";
								}
								}
								}
								?>	
								<div class="tpm-additional-info-<?php echo $bubble_align;?>">
								<div class="tpm-info-name" <?php if($snippetStatus){ echo 'itemprop="author" itemscope itemtype="http://schema.org/Person"';}?>  >
								<?php echo $item->name; ?>
								</div>
								
								<?php if($company_show):
								if($item->company):
								?>
								<div class="tpm-info-company">
								<?php if($website_show):
								if($item->website):
								?>
								<a href="<?php echo $item->website; ?>" rel="nofollow" target="<?php echo $link_target;?>">
								<?php endif;
								endif;
								?>
								<?php echo $item->company; ?>
								
								<?php if($position_show):
								if($item->position):
								?>
								<?php echo $separator.$item->position; ?>
								<?php 
								endif;
								endif;
										
								if($website_show):
								if($item->website):
								?>
								</a>
									 
								<?php 
										
									endif;
									  endif;?>
								</div>
								<?php 
								endif;
								      endif;?>
								
			
								
								<?php if($rating_show) :?>
								<div class="tpm-ratings" <?php if($snippetStatus){ echo 'itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating"';}?> >
								
                <?php if($snippetStatus){
                  echo'<meta itemprop="worstRating" content = "1"/><meta itemprop="ratingValue" content = "'.$item->rating.'"/><meta itemprop="bestRating" content="5"/>';
                } ?>
								<?php
                $aggregateRating = $aggregateRating + $item->rating;
                
                for($i=1;$i<=$item->rating;$i++) {?>
								<i class="fa fa-star"></i>
								
								
								<?php } ?>
								</div>
								<?php endif;?>
								<?php if($date_show) :?>
								<div class="tpm-below-date" <?php if($snippetStatus){ echo 'itemprop="datePublished"';}?> >
								<?php echo JHtml::_('date', $item->created, 'j F Y'); ?>
								</div>
								<?php endif;?>
								
								</div>
								</div>
								
							<?php if(($bubble_align=="bottom")||($bubble_align=="right")):?>
							<div class="tpm-showcase-bubble-<?php echo $bubble_align;?> <?php echo $bubble_layout;?>">
							<div class="rtp-testimonial tpm-showcase-testimonial-<?php echo $bubble_align;?>">
							<p><?php if($quotes):?><i class="fa fa-quote-left quotes"></i> <?php endif; echo nl2br(modTestiproHelper::JShortenText($item->testimonial,$nchar,$readmoreText,$count));if($quotes):?> <i class="fa fa-quote-right quotes"></i><?php endif;  ?></p>
							
							<?php if(strlen($item->testimonial)>$nchar){?>
              <div class="rtp-Content" style="display:none;" id="inline<?php echo $count;?>" <?php if($snippetStatus){ echo 'itemprop="reviewBody"';}?>  ><?php if($quotes):?><i class="fa fa-quote-left quotes"></i> <?php endif; echo $item->testimonial;if($quotes):?> <i class="fa fa-quote-right quotes"></i><?php endif;  ?></div>
							<?php }?>
							</div>
							</div>
							<?php endif;?>
							
							</div>

							<?php 
							if($slides!=1){ if ($count%$slides == 0) { echo "</div>"; }}
							$count++;
							endforeach;
							if($slides!=1){ if ($count%$slides != 1) echo "</div>";}

							?>
			</div>	

      <?php if($snippetStatus){

$aggregateRating = round($aggregateRating/(count($list)),1);
echo '<div itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
    <meta itemprop="ratingValue" content="'.$aggregateRating.'">
    <meta itemprop="reviewCount" content="'.count($list).'">
  </div>';
} 
            ?>


		</div>
	</div>

		<?php 
		}
		else{
		?>
		<div class="tpm-error">No category has been selected to display.</div>
		<?php }?>